.product-group-swatches__heading {
  margin-block-end: var(--margin-xl);
}

.product-group-swatches__list {
  list-style-type: none;
  gap: var(--gap-xs);
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;
}

.product-group-swatches__link {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background: none;
  text-decoration: none;
  border: 1px solid transparent;
  transition: border-color 0.2s;

  &.is-active {
    border-color: var(--color-variant-border);
  }

  &:hover {
    border-color: var(--color-variant-hover-border);
  }
}

.product-group-swatches__image {
  --swatch-size: 72px;
  --whitespace-size: var(--gap-xs);
  width: calc(var(--swatch-size) - var(--whitespace-size));
  height: calc(var(--swatch-size) - var(--whitespace-size));
  margin: var(--whitespace-size);
  display: block;
  object-fit: contain;

  @media screen and (min-width: 750px) {
    --swatch-size: 64px;
  }
}
